// @todo Make lesscss refactoring of privatemsg pages
.page-messages {
  .privatemsg-message {
    &:not(:first-child) {
      margin-top: @padding-large-horizontal; // @todo Replace with proper variable
    }

    .user-picture {
      float: none;
      margin-right: 0;
    }

    .media-body {
      background: @privatemsg-bg;
      padding: @padding-large-horizontal; // @todo Replace with proper variable
      border: 1px solid @privatemsg-border;
      position: relative;

      p {
        margin-top: 10px;
      }

      & img {
        max-width: 100%;
      }

      &.new {
        background: @privatemsg-bg-new;
        border-color: @privatemsg-border-new;
      }

      .privatemsg-message-actions {
        position: absolute;
        top: 3px;
        right: 5px;
        list-style: none;

        li + li {
          margin-top: @padding-base-vertical; // @todo Replace with proper variable
        }

        a {
          font-size: @font-size-large;
          opacity: .2;

          &:focus, &:hover {
            opacity: 1;
          }
        }
      }
    }

    .media-left,
    .media-right {
      .placeholder {
        height: 0;
        float: left;
        position: relative;
      }
    }

    .media-right {
      .user-picture {
        text-align: right;
      }
    }

    // When message of next user.
    &.first-of-author-stack {
      @pmsg-p-top: 20px;
      @pmsg-p-height: 15px;
      @pmsg-p-width: @pmsg-p-height * 2;
      @pmgs-bt: @pmsg-p-height;
      @pmgs-br: @pmsg-p-width;
      @pmgs-bb: @pmsg-p-height;
      @pmgs-bl: (@pmsg-p-width / 3);
      @pmgs-rotate: -145deg;
      @pmsg-right-rotate-coeff: -.25;

      .media-body {
        overflow: visible;
        z-index: 1;
      }

      &:not(.current-user) {
        .media-body {
          &:before {
            border-width: @pmgs-bt @pmgs-br @pmgs-bb @pmgs-bl;
            border-top-color: @privatemsg-bg;
            left: -@pmsg-p-width+4;
            top: @pmsg-p-top - 10;
            .rotate(@pmgs-rotate);
          }

          &:after {
            border-width: @pmgs-bt+2 @pmgs-br+2 @pmgs-bb+2 @pmgs-bl+3;
            border-top-color: @privatemsg-border;
            left: -@pmsg-p-width;
            top: @pmsg-p-top - 14;
            .rotate(@pmgs-rotate);
          }

          &.new {
            &:before {
              border-top-color: @privatemsg-bg-new;
            }

            &:after {
              border-top-color: @privatemsg-border-new;
            }
          }
        }
      }

      &.current-user {
        .media-body {
          &.new {
            &:before {
              border-bottom-color: @privatemsg-bg-new;
            }

            &:after {
              border-bottom-color: @privatemsg-border-new;
            }
          }
        }
      }
    }
  }
}

#privatemsg-list-wrapper {
  .participants {
    margin: 0;
  }
}

#privatemsg-new {
  margin-top: @padding-large-horizontal; // @todo Replace with proper variable

  .form-actions,
  .form-item {
    margin-bottom: 0;
  }

  .form-wrapper + .text-format-wrapper {
    margin-top: @padding-large-horizontal; // @todo Replace with proper variable
  }
}

#privatemsg-list {
  .sticky-header,
  .privatemsg-list thead {
    display: none;
  }

  .privatemsg-list {
    margin-top: @padding-large-horizontal; // @todo Replace with proper variable
    margin-bottom: 0;

    & + .container-inline {
      margin-top: @padding-large-horizontal; // @todo Replace with proper variable
    }

    tbody tr {
      border: 1px solid @table-border-color;

      &.selected,
      &.selected > td {
        background-color: @state-danger-bg;
      }

      td {
        border: 0;
        display: inline-block;

        &:first-child {
          line-height: @font-size-h3 * @headings-line-height;
          position: absolute;
        }

        &.privatemsg-list-subject {
          font-size: @font-size-h3;
          font-weight: @headings-font-weight;
          line-height: @headings-line-height;
          width: 100%;
          padding-left: 40px;
        }

        &.privatemsg-list-participants,
        &.privatemsg-list-date {
          .small;
        }

        &.privatemsg-list-date {
          .pull-right;
          .text-muted;
        }
      }
    }
  }
}

h2.privatemsg-reply {
  font-size: @font-size-h3;
}
